Your Video Card Does Not Support Alpha Blending [FIXED]

Many gamers are having an annoying issue with their game. When their game is running, they see an error that says “Your video card does not support alpha blending with floating point render targets, which is required to run this game” and it crashes their game. This issue happens constantly.

This is incredibly frustrating. You can’t play your game because of this error. But don’t worry. This error can be fixed. The following is a method that have helped many gamers fix this error.

Try this fix!

You will get the error if you’re using a wrong or outdated driver. So you should update the device drivers on your computer and see if this fixes your error.

You can update your driver manually or automatically. The manual process is time-consuming, technical and risky, so we won’t cover it here. Nor do we recommend it unless you have excellent computer knowledge.

Updating your driver automatically, on the other hand, is very easy. Simply install and run Driver Easy, and it will automatically find all the devices on your PC that need new drivers, and install them for you. Here’s how to use it.

1) Download and install Driver Easy.

2) Run Driver Easy and click the Scan Now button. Driver Easy will then scan your computer and detect any problem drivers.

3) Click the Update button next to each device to download the latest and correct driver for it.

You can also click the Update All button at the bottom right to automatically update all outdated or missing drivers on your computer. (This requires the Pro version — if you don’t already have it, you will be prompted to upgrade when you click Update All.)

Once you’ve updated the driver for your devices, restart your computer. Then log in again and see if this fixes the error.